<!-- <button (click)="printPDFsupl(tarifa)" class="btn btn-danger ml-1" [disabled]="!newSuplTar">
  <i class="far fa-file-pdf mr-2"></i>PDF
</button> -->
<div class="d-flex justify-content-center" *ngIf="getAuth">
  <app-autorizar-cambios (result)="userValue($event)" *ngIf="!userAuthValid">
    {{ messageUserAuth }}
  </app-autorizar-cambios>
</div>

<ng-container *ngIf="!getAuth">
  <div class="d-flex justify-content-end" *ngIf="!consulta">
    <button (click)="crudService('new', ngForm.value)" class="btn btn-success ml-1"
      [disabled]="ngForm.invalid || loading">
      <i class="fa fa-save mr-2"></i>Guardar
    </button>
  </div>

  <div class="divider" *ngIf="!consulta"></div>

  <div class="row">
    <form [formGroup]="ngForm" class="form-group">
      <div class="row">
        <div class="col-3 col-sm-3 col-md-2 col-lg-2">
          <label>Proc.</label>
          <input type="text" class="form-control" formControlName="Proc" readonly>
        </div>
        <div class="col-6 col-sm-6 col-md-3 col-lg-3">
          <label>Tarifa</label>
          <input type="text" class="form-control" formControlName="tarifa" readonly>
        </div>
        <div class="col-3 col-sm-3 col-md-2 col-lg-2">
          <label>Tipo</label>
          <input type="text" class="form-control" formControlName="ttipo" readonly>
        </div>
        <div class="col-sm-12 col-md-5 col-lg-5">
          <label>Suplemento</label>
          <kendo-combobox [data]="dsSuplementos" [textField]="'sdesc'" [valueField]="'Suplemento'" class="form-control"
            formControlName="Suplemento" [valuePrimitive]="true" [readonly]="consulta" class="w-100">
          </kendo-combobox>
        </div>
      </div>
    </form>
  </div>

  <kendo-grid [data]="newSuplTar" [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true"
    style="height: 38vh" (selectionChange)='rowInfo($event)'>
    <kendo-grid-column field="Origen" title="Origen" width="90" *ngIf="uso">
    </kendo-grid-column>
    <ng-container *ngFor="let item of gridSuplmentos">
      <kendo-grid-column [field]="item.dataKey" [title]="item.title" [width]="item.width" [filterable]="item.filtro"
        [hidden]="item.hidden" [class]="item.class">
        <ng-template kendoGridCellTemplate let-dataItem let-column="column" *ngIf="item.class">
          {{ dataItem[column.field] | kendoNumber:'##.00' }}
        </ng-template>
      </kendo-grid-column>
    </ng-container>
    <kendo-grid-column field="sfecini" title="Fec. Ini." width="115" filterable="true">
      <ng-template kendoGridCellTemplate let-dataItem>
        {{dataItem.sfecini | date: kendoFormat }}
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="sfecter" title="Fec. Term." width="115" filterable="true">
      <ng-template kendoGridCellTemplate let-dataItem>
        {{dataItem.sfecter | date: kendoFormat }}
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="Operador" title="Ope." width="75" *ngIf="uso">
    </kendo-grid-column>
    <kendo-grid-command-column title="Acciones" width="120" *ngIf="!consulta || !loading">
      <ng-template kendoGridCellTemplate let-dataItem>
        <button class="btn btn-danger" (click)="crudService('delete', dataItem)"
          [disabled]="uso && !dataItem.Borrar">Eliminar</button>
      </ng-template>
    </kendo-grid-command-column>
  </kendo-grid>

  <div class="divider"></div>

  <div class="row" *ngIf="infoRow">
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>Cálculo</label>
      <kendo-combobox [data]="calculos" [textField]="'title'" [valueField]="'key'" [valuePrimitive]="true"
        name="scalculo" [(ngModel)]="infoRow.scalculo" readonly="true" class="form-control">
      </kendo-combobox>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>Aplicar Monto</label>
      <kendo-combobox [data]="aplicaMonto" [textField]="'title'" [valueField]="'key'" [valuePrimitive]="true" name="sam"
        [(ngModel)]="infoRow.sam" readonly="true" class="form-control">
      </kendo-combobox>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>Aplica Tarifa</label>
      <kendo-combobox [data]="aplTarifa" [textField]="'title'" [valueField]="'key'" [valuePrimitive]="true" name="sat"
        [(ngModel)]="infoRow.sat" readonly="true" class="form-control">
      </kendo-combobox>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>Aplicar a tarifa sin código</label>
      <kendo-switch [onLabel]="'Si'" [offLabel]="'No'" [(ngModel)]="aplicaTarifa" readonly="true">
      </kendo-switch>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>Código</label>
      <kendo-combobox [data]="ttCodigos" [textField]="'Codigo'" [valueField]="'Codigo'" [valuePrimitive]="true"
        name="Codigo" [(ngModel)]="infoRow.Codigo" readonly="true" class="form-control">
      </kendo-combobox>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
      <label>Venta</label>
      <kendo-combobox [data]="tVenta" [textField]="'title'" [valueField]="'key'" [valuePrimitive]="true" name="sventa"
        [(ngModel)]="infoRow.sventa" readonly="true" class="form-control">
      </kendo-combobox>
    </div>
    <div class="form-group col-12 d-flex justify-content-center">
      <div class="form-check form-check-inline" *ngFor="let opc of dias">
        <input type="checkbox" class="form-check-input" [id]="opc.id" [name]="opc.id" [(ngModel)]="opc.value" disabled>
        <label class="form-check-label" [for]="opc.id"> {{ opc.dia }} </label>
      </div>
    </div>
  </div>
</ng-container>